
"""===============================================================
منطق برنامه ای را طراحی کنید که آرایه مرتب نزولی A را که حاوی ۷۰
عنصر است با آرایه مرتب صعودی B که حاوی ۷۰ عنصر است ادغام کند و ضمن
حفظ عناصر ارایه های A و B یک آرایه ۱۴۰ عنصری به نام C به صورت مرتب
صعودی بسازد
==============================================================="""
A = [57,48,43,38,23]
B = [1,23,46,64]
C = []
a = len(A) - 1
b = 0

for i in range(len(A)+len(B)):
    if a < 0:
        C.append(B[b])
        b += 1
    elif b >= len(B):
        C.append(A[a])
        a -= 1
    elif A[a] > B[b]:
        C.append(B[b])
        b += 1
    else:
        C.append(A[a])
        a -= 1
print(C)